Summary: The Linux Infrared Remote Control package.
Name: lirc
Version: 0.6.4
Release: fr1
Copyright: GPL
Group: System Environment/Daemons
Source0: lirc-%{version}.tar.bz2
Source1: lircd.init
Source2: lircd.logrotate
URL: http://www.lirc.org/
BuildRoot: %{_tmppath}/%{name}-root
PreReq: /sbin/chkconfig, /sbin/service
BuildRequires: perl

%description
LIRC is the Linux Infrared Remote Control package.
This package features a clean lircd initscript and a logrotate config file.

The default binary build of this package will only work with the Pinnacle
PCTV serial remote, if you have a different device, you will probably need
to recompile the source RPM changing the "--with-driver=" configure option
to your device.

If your remote requires special kernel modules to run, I guess you're stuck
having to grab the source (from the source RPM, why not) and install them
from there!

%prep
%setup -q

%build
%configure --with-driver=pctv
make

%install
rm -rf %{buildroot}
%makeinstall devdir=%{buildroot}/dev
install -m 755 -D %{SOURCE1} %{buildroot}/etc/init.d/lircd
install -m 644 -D %{SOURCE2} %{buildroot}/etc/logrotate.d/lircd
perl -pi -e 's|\@SBINDIR\@|%{_sbindir}|g' %{buildroot}/etc/init.d/lircd
rm -f doc/Makefile*
ln -sf ttyS0 %{buildroot}/dev/lirc
touch %{buildroot}/etc/lircmd.conf

%post
/sbin/chkconfig --add lircd

%preun
if [ $1 = 0 ]; then
	/sbin/service lircd stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del lircd
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service lircd condrestart >/dev/null 2>&1 || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ANNOUNCE AUTHORS ChangeLog COPYING NEWS README TODO doc remotes
%doc contrib/*.conf	contrib/irman2lirc
%doc contrib/lircrc	contrib/lircs
/etc/init.d/lircd
/etc/logrotate.d/lircd
%ghost %config(noreplace) /etc/lircd.conf
%ghost %config(noreplace) /etc/lircmd.conf
/dev/lirc*
%{_bindir}/*
%{_sbindir}/*
%{_includedir}/lirc
%{_libdir}/liblirc_*

%changelog
* Thu Oct  4 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

